commit f953701576b7df0531aab37d0a1bbfbbcf4bdc75
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Jan 20 01:18:38 2022

    Daily bump.

diff --git a/contrib/ChangeLog b/contrib/ChangeLog
index e82162a0363..43fe94a93b8 100644
--- a/contrib/ChangeLog
+++ b/contrib/ChangeLog
@@ -1,3 +1,9 @@
+2022-01-19  Martin Liska  <mliska@suse.cz>
+
+	* git-backport.py: Sync from master.
+	* git-commit-mklog.py: Likewise.
+	* git-fix-changelog.py: New file.
+
 2022-01-17  Martin Liska  <mliska@suse.cz>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 71126d3d29c..261c631b6a2 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20220119
+20220120
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index f9e7a39de8e..7644fd7b45d 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,25 @@
+2022-01-19  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2022-01-19  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR ada/103538
+	* gcc-interface/Makefile.in (target_cpu): Set to x32 for
+	x86_64-linux-gnux32.
+
+2022-01-19  H.J. Lu  <hjl.tools@gmail.com>
+
+	Backported from master:
+	2022-01-19  H.J. Lu  <hjl.tools@gmail.com>
+
+	PR ada/103538
+	* Makefile.rtl (LIBGNAT_TARGET_PAIRS): Add
+	$(TRASYM_DWARF_UNIX_PAIRS),
+	s-tsmona.adb<libgnat/s-tsmona__linux.adb,
+	$(GNATRTL_128BIT_PAIRS).
+	(EXTRA_GNATRTL_NONTASKING_OBJS): Add $(TRASYM_DWARF_UNIX_OBJS)
+	and $(GNATRTL_128BIT_OBJS).
+
 2021-10-20  Arnaud Charlet  <charlet@adacore.com>
 
 	PR ada/100486

